<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@10E32B=61</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Both story cheats are useful when using KAEDE, YUKI or MORIYA."/>
  <cheat desc="Story Part 2 cheat is useful for JUZOH, AKARI, WASHIZUKA,"/>
  <cheat desc="SHIKYOH, OKINA, and SHINGEN."/>
  <cheat desc="They MUST be activated on the character select screen."/>
  <cheat desc=" "/>

  <cheat desc="Story Part 1 (Stage 7)">
    <script state="on">
      <action>maincpu.pb@10AC43=06</action>
    </script>
  </cheat>

  <cheat desc="Story Part 2 (Stage 8)">
    <script state="on">
      <action>maincpu.pb@10AC43=07</action>
    </script>
  </cheat>

  <cheat desc="The boss cheat must be activated on the Character Select screen."/>

  <cheat desc="First Boss">
    <script state="on">
      <action>maincpu.pb@10AC43=08</action>
    </script>
  </cheat>

  <cheat desc="Final Boss.">
    <script state="on">
      <action>maincpu.pb@10AC43=09</action>
    </script>
  </cheat>

  <cheat desc="Select Next Cinematic Now!"> <comment>This cheat must be activated during any fight. After winning, you can see the cinematic.</comment>
    <parameter>
      <item value="0x03">Middle Cinematic</item>
      <item value="0x07">First boss Cinematic</item>
      <item value="0x08">Inbetween Bosses Cinematic</item>
      <item value="0x09">Ending Cinematic</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@10AC43=param</action>
    </script>
  </cheat>

  <cheat desc="Middle cinematic">
    <script state="on">
      <action>maincpu.pb@10AC43=03</action>
    </script>
  </cheat>

  <cheat desc="First boss cinematic">
    <script state="on">
      <action>maincpu.pb@10AC43=07</action>
    </script>
  </cheat>

  <cheat desc="Inbetween Bosses cinematic">
    <script state="on">
      <action>maincpu.pb@10AC43=08</action>
    </script>
  </cheat>

  <cheat desc="Ending cinematic">
    <script state="on">
      <action>maincpu.pb@10AC43=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@((maincpu.pd@10AC2C)+180)=0100</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pw@((maincpu.pd@10AC2C)+180)=0000</action>
    </script>
  </cheat>

  <cheat desc="Always have Power 'Power' Mode PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC2C)+18C)=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Power 'Speed' Mode PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC2C)+18C)=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Power PL1"> <comment>Power Bar display maybe incorrect though</comment>
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC2C)+18D)=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Minimum Power PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC2C)+18D)=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL1">
    <script state="on">
      <action>maincpu.pb@((maincpu.pd@10AC2C)+18D)=00</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1">
    <parameter>
      <item value="0x00">Kaede</item>
      <item value="0x01">Moriya</item>
      <item value="0x02">Yuki</item>
      <item value="0x03">Okina</item>
      <item value="0x04">Akari</item>
      <item value="0x05">Juzoh</item>
      <item value="0x06">Washizuka</item>
      <item value="0x07">Shikyoh</item>
      <item value="0x08">Amano</item>
      <item value="0x09">Lee</item>
      <item value="0x0A">Zantetsu</item>
      <item value="0x0B">Shigen</item>
      <item value="0x0C">Musashi</item>
      <item value="0x0D">Kagami</item>
      <item value="0x0E">Awakened Kaede</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10EAAD=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@((maincpu.pd@10AC30)+180)=0100</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pw@((maincpu.pd@10AC30)+180)=0000</action>
    </script>
  </cheat>

  <cheat desc="Always have Power 'Power' Mode PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC30)+18C)=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Power 'Speed' Mode PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC30)+18C)=02</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Power PL2"> <comment>Power Bar display maybe incorrect though</comment>
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC30)+18D)=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Minimum Power PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@10AC30)+18D)=00</action>
    </script>
  </cheat>

  <cheat desc="Drain All Power Now! PL2">
    <script state="on">
      <action>maincpu.pb@((maincpu.pd@10AC30)+18D)=00</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2">
    <parameter>
      <item value="0x00">Kaede</item>
      <item value="0x01">Moriya</item>
      <item value="0x02">Yuki</item>
      <item value="0x03">Okina</item>
      <item value="0x04">Akari</item>
      <item value="0x05">Juzoh</item>
      <item value="0x06">Washizuka</item>
      <item value="0x07">Shikyoh</item>
      <item value="0x08">Amano</item>
      <item value="0x09">Lee</item>
      <item value="0x0A">Zantetsu</item>
      <item value="0x0B">Shigen</item>
      <item value="0x0C">Musashi</item>
      <item value="0x0D">Kagami</item>
      <item value="0x0E">Awakened Kaede</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10EAAF=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>audiocpu.pb@FDE0=00</action>
    </script>
  </cheat>

  <cheat desc="Select Cartridge/NeoGeo Type"> <comment>Use in conjuction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.</comment>
    <parameter>
      <item value="0x80">Arcade (MVS)</item>
      <item value="0x00">Home (NEOGEO)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10FD82=param</action>
    </script>
  </cheat>

  <cheat desc="Skip RAM/ROM Checks"> <comment>Also allows a quicker start-up without the green screens. It's better to use together with Pre-Enable.</comment>
    <script state="on">
      <action>temp0 =maincpu.rd@C1315C</action>
      <action>temp1 =maincpu.rd@C1314E</action>
      <action>temp2 =maincpu.rd@C131E8</action>
      <action>temp3 =maincpu.rd@C13184</action>
      <action>temp4 =maincpu.rd@C1212E</action>
      <action>temp5 =maincpu.rd@C134FA</action>
    </script>
    <script state="run">
      <action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action> <!-- Euro + Japan-S2 BIOSs -->
      <action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action> <!-- Euro-S1 + Japan-S1 BIOSs -->
      <action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action> <!-- US BIOS -->
      <action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action> <!-- US-E BIOS -->
      <action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action> <!-- Asia BIOS -->
      <action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action> <!-- Japan BIOS -->
    </script>
    <script state="off">
      <action>maincpu.rd@C1315C=temp0 </action>
      <action>maincpu.rd@C1314E=temp1 </action>
      <action>maincpu.rd@C131E8=temp2 </action>
      <action>maincpu.rd@C13184=temp3 </action>
      <action>maincpu.rd@C1212E=temp4 </action>
      <action>maincpu.rd@C134FA=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
